MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Create DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentLink Vault EntryList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnlink Vault EntryUpdate Router ConfigWrite Credential
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceDeployments

Remove Entry Credential

DELETE
/v1/deployments/{deployment_id}/credentials/{entry_id}

Deletes the credential record for a bundle entry that has been removed from the bundle.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid
entry_id*Entry Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

curl -X DELETE "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Create Deployment

Previous Page

Delete Deployment

Next Page